View Issue Details

IDProjectCategoryView StatusLast Update
0001696NoesisGUIC++ SDKpublic2020-05-28 11:24
ReporterstevehAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.0.1Fixed in Version3.0.1 
Summary0001696: Uninitialised variable in RenderTree
DescriptionHi guys,

Just another tiny issue. I'm trying to debug an issue on our local build where the render tree is accessing a dodgy mRoot pointer. Now, this is most likely not the problem, but I noticed that the mRoot property is not iniailised to nullptr. So when it breaks it ends up giving me random addresses. I've fixed it locally by simply initialising mRoot to null in the initialiser list:

RenderTree::RenderTree(RenderDevice* device): mDevice(device), mCachedPathContext(0),
    mRoot(nullptr), // @Sumo SPH - Initialised the root
    mOffscreenIndex(0), mOffscreenNodeParent(-1), mDebugFlags(0), mFlags(0), mFrameCount(0),
    mRenderNodeAllocator(sizeof(RenderNode), 64)

Also, the projection matrix is not initialised to identity matrix, but I've not seen this cause any issues.

Cheers,

-Steven
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-05-24 19:53 steveh New Issue
2020-05-25 11:03 jsantos Assigned To => jsantos
2020-05-25 11:03 jsantos Status new => assigned
2020-05-25 11:03 jsantos Target Version => 3.0.1
2020-05-28 11:23 sfernandez Assigned To jsantos => sfernandez
2020-05-28 11:24 sfernandez Status assigned => resolved
2020-05-28 11:24 sfernandez Resolution open => fixed
2020-05-28 11:24 sfernandez Fixed in Version => 3.0.1